# Google Forms API

Reads and writes Google Forms and responses.

- [REST Resource: v1.forms](https://developers.google.com/workspace/forms/api/reference/rest#v1.forms)
- [REST Resource: v1.forms.responses](https://developers.google.com/workspace/forms/api/reference/rest#v1.forms.responses)
- [REST Resource: v1.forms.watches](https://developers.google.com/workspace/forms/api/reference/rest#v1.forms.watches)

## Service: forms.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://forms.googleapis.com/$discovery/rest?version=v1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://forms.googleapis.com`

## REST Resource: [v1.forms](https://developers.google.com/workspace/forms/api/reference/rest/v1/forms)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/forms/api/reference/rest/v1/forms/batchUpdate` | `POST /v1/forms/{formId}:batchUpdate` Change the form with a batch of updates. |
| `https://developers.google.com/workspace/forms/api/reference/rest/v1/forms/create` | `POST /v1/forms` Create a new form using the title given in the provided form message in the request. |
| `https://developers.google.com/workspace/forms/api/reference/rest/v1/forms/get` | `GET /v1/forms/{formId}` Get a form. |
| `https://developers.google.com/workspace/forms/api/reference/rest/v1/forms/setPublishSettings` | `POST /v1/forms/{formId}:setPublishSettings` Updates the publish settings of a form. |

## REST Resource: [v1.forms.responses](https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.responses)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.responses/get` | `GET /v1/forms/{formId}/responses/{responseId}` Get one response from the form. |
| `https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.responses/list` | `GET /v1/forms/{formId}/responses` List a form's responses. |

## REST Resource: [v1.forms.watches](https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.watches)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.watches/create` | `POST /v1/forms/{formId}/watches` Create a new watch. |
| `https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.watches/delete` | `DELETE /v1/forms/{formId}/watches/{watchId}` Delete a watch. |
| `https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.watches/list` | `GET /v1/forms/{formId}/watches` Return a list of the watches owned by the invoking project. |
| `https://developers.google.com/workspace/forms/api/reference/rest/v1/forms.watches/renew` | `POST /v1/forms/{formId}/watches/{watchId}:renew` Renew an existing watch for seven days. |